---
title: "Delete zone targeting rule"
type: reference
method: DELETE
path: /rest-api/zone/{zoneId}/targeting/{targetId}/delete.do
tag: "Targeting Rules"
---

# Delete zone targeting rule

`DELETE https://YOUR-NETWORK-DOMAIN/rest-api/zone/{zoneId}/targeting/{targetId}/delete.do`

Removes a specific targeting rule from the specified zone by its target ID. Requires UPDATE permission on the zone and MANAGE_SUPPLY_PRE_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `zoneId` | integer | yes | `200` | Unique numeric ID of the zone |
| `targetId` | integer | yes | `123` | Unique numeric ID of the targeting rule to delete |

## Responses

- `200` — Success
- `400` — Bad request — invalid or missing parameters
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Zone or targeting rule not found
- `500` — Internal server error

## Example request

```bash
curl --request DELETE \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/zone/200/targeting/123/delete.do' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/delete-zone-targeting